/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.mdb;

import javax.ejb.Stateless;
import javax.ejb.Remote;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.5.2.4 $
 */
@Stateless
@Remote(TestStatus.class)
public class TestStatusBean implements TestStatus
{
   public static boolean queueRan = false;
   public static boolean topicRan = false;
   public static boolean interceptedTopic = false;
   public static boolean interceptedQueue = false;
   public static boolean postConstruct = false;
   public static boolean preDestroy = false;

   public void clear()
   {
      queueRan = false;
      topicRan = false;
      interceptedTopic = false;
      interceptedQueue = false;
      postConstruct = false;
      preDestroy = false;
   }

   public boolean queueFired()
   {
      return queueRan;
   }

   public boolean topicFired()
   {
      return topicRan;
   }

   public boolean interceptedTopic()
   {
      return interceptedTopic;
   }

   public boolean interceptedQueue()
   {
      return interceptedQueue;
   }

   public boolean postConstruct()
   {
      return postConstruct;
   }

   public boolean preDestroy()
   {
      return preDestroy;
   }
}
